Bug 1311930 - security group api call as admin, with all-tenant option isn't returning all tenants
security group api call as admin, with all-tenant option isn't returning all ...
Status: CLOSED ERRATA
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-nova (Show other bugs)
6.0 (Juno)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 6.0 (Juno)
Assigned To: Sahid Ferdjaoui
nlevinki
: Automation, AutomationBlocker, ZStream
Depends On: 1304349
Blocks: 1305503
  Show dependency treegraph
 
Reported: 2016-02-25 06:02 EST by Arx Cruz
Modified: 2016-07-31 21:04 EDT (History)
14 users (show)

See Also:
Fixed In Version: openstack-nova-2014.2.3-64.el7ost
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 1304349
Environment:
Last Closed: 2016-03-23 10:26:44 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Launchpad 1284202 None None None 2016-02-25 06:02 EST
OpenStack gerrit 216716 None None None 2016-03-03 10:46 EST

  None (edit)
Comment 1 Sahid Ferdjaoui 2016-03-03 10:46:29 EST
A downstream-only backport of [1] is necessary.

[1] https://review.openstack.org/#/c/216716/
Comment 2 Sahid Ferdjaoui 2016-03-03 11:38:47 EST
So i made some tests with that backport and it should well fix the problem:

[root@localhost ~(keystone_admin)]# nova secgroup-create adm1 adm1
+--------------------------------------+------+-------------+
| Id                                   | Name | Description |
+--------------------------------------+------+-------------+
| e59e288a-9c19-4baf-bee3-0294cf1a5d6a | adm1 | adm1        |
+--------------------------------------+------+-------------+
[root@localhost ~(keystone_admin)]# nova secgroup-create adm2 adm2
+--------------------------------------+------+-------------+
| Id                                   | Name | Description |
+--------------------------------------+------+-------------+
| c01ad4eb-aa03-4bfd-9dad-f386e5e898d0 | adm2 | adm2        |
+--------------------------------------+------+-------------+

[root@localhost ~(keystone_demo)]# nova secgroup-create usr2 usr2
+--------------------------------------+------+-------------+
| Id                                   | Name | Description |
+--------------------------------------+------+-------------+
| ccae0a4d-c314-4e75-a804-229025f5fbc3 | usr2 | usr2        |
+--------------------------------------+------+-------------+
[root@localhost ~(keystone_demo)]# nova secgroup-create usr1 usr1
+--------------------------------------+------+-------------+
| Id                                   | Name | Description |
+--------------------------------------+------+-------------+
| 7c6d572d-d5ea-4afc-b1df-eb45454d5c6a | usr1 | usr1        |
+--------------------------------------+------+-------------+
[root@localhost ~(keystone_demo)]# nova secgroup-list
+--------------------------------------+---------+-------------+
| Id                                   | Name    | Description |
+--------------------------------------+---------+-------------+
| 2d330252-98ec-45f2-bfc9-0865a49b03d4 | default | default     |
| 7c6d572d-d5ea-4afc-b1df-eb45454d5c6a | usr1    | usr1        |
| ccae0a4d-c314-4e75-a804-229025f5fbc3 | usr2    | usr2        |
+--------------------------------------+---------+-------------+
[root@localhost ~(keystone_demo)]# . keystonerc_admin 
[root@localhost ~(keystone_admin)]# nova secgroup-list
+--------------------------------------+---------+-------------+
| Id                                   | Name    | Description |
+--------------------------------------+---------+-------------+
| e59e288a-9c19-4baf-bee3-0294cf1a5d6a | adm1    | adm1        |
| c01ad4eb-aa03-4bfd-9dad-f386e5e898d0 | adm2    | adm2        |
| b937dfaf-3b6d-41e8-949d-ddb940f513d6 | default | default     |
+--------------------------------------+---------+-------------+
[root@localhost ~(keystone_admin)]# nova secgroup-list --all-tenant
+--------------------------------------+---------+-------------+----------------------------------+
| Id                                   | Name    | Description | Tenant_ID                        |
+--------------------------------------+---------+-------------+----------------------------------+
| 65e4b057-5daf-4d48-b4fc-ca3650318b5a | default | default     |                                  |
| 2d330252-98ec-45f2-bfc9-0865a49b03d4 | default | default     | 0eaf145cb10b466db0ecffa94e426e13 |
| 7c6d572d-d5ea-4afc-b1df-eb45454d5c6a | usr1    | usr1        | 0eaf145cb10b466db0ecffa94e426e13 |
| ccae0a4d-c314-4e75-a804-229025f5fbc3 | usr2    | usr2        | 0eaf145cb10b466db0ecffa94e426e13 |
| e59e288a-9c19-4baf-bee3-0294cf1a5d6a | adm1    | adm1        | 2b31da3a4b124087910d7e644acbf362 |
| c01ad4eb-aa03-4bfd-9dad-f386e5e898d0 | adm2    | adm2        | 2b31da3a4b124087910d7e644acbf362 |
| b937dfaf-3b6d-41e8-949d-ddb940f513d6 | default | default     | 2b31da3a4b124087910d7e644acbf362 |
+--------------------------------------+---------+-------------+----------------------------------+
Comment 6 errata-xmlrpc 2016-03-23 10:26:44 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2016-0500.html

Note You need to log in before you can comment on or make changes to this bug.